# GLPI SOC Case Management Plugin

## Overview
This plugin provides a specialized case management system for Security Operations Center (SOC) teams working with GLPI. It enables efficient creation and tracking of security cases with seamless integration into GLPI's change and request management workflows.

## Features
- Case creation and management dashboard
- Integration with GLPI's ticketing system
- Case timeline view
- Severity classification system
- Attachment handling for evidence
- SOC-specific KPI dashboard and reporting
- Role-based access control
- Search and filtering capabilities
- Multilanguage support (German, English, French, Italian, Polish, Spanish, Portuguese)

## Requirements
- GLPI >= 10.0.0
- PHP >= 7.4.0

## Installation
1. Download the ZIP file
2. Extract it in your GLPI plugins directory (`glpi/plugins/`)
3. Rename the directory to "soc" (this is important - the folder must be named "soc")
4. Make sure all files have correct permissions (www-data or apache user should be able to read them)
5. Navigate to Setup > Plugins in your GLPI web interface
6. Install and activate the plugin

## Troubleshooting Installation
If the plugin doesn't appear in the plugins list:
- Verify the plugin folder is named exactly "soc" (not "SOC" or "soc-plugin")
- Check file permissions (files should be readable by the web server)
- Check that all required files are present: setup.php, hook.php, plugin.php
- Clear GLPI cache by removing files in `/glpi/files/_cache`
- Restart your web server

## Configuration
After activation, you can configure the plugin by:
1. Setting up access rights in Administration > Profiles
2. Customizing the dashboard widgets if needed

## Usage
- Access the SOC dashboard from the Management menu
- Create new security cases with appropriate severity levels
- Link cases to tickets and changes for comprehensive incident management
- Track case progress through the timeline view
- Generate reports on SOC team performance

## License
GPL-3.0+

## Author
Your Organization